[TASK] Make code PHP 5.3 compatible again for now